Help needed – Cannot "make" OwlWare Bootloader.

Home Forums OWL OwlWare Help needed – Cannot "make" OwlWare Bootloader.

Tagged: 

This topic contains 0 replies, has 1 voice, and was last updated by  mathiasfriis 6 months, 3 weeks ago.

Viewing 1 post (of 1 total)
  • Author
    Posts
  • #3067

    mathiasfriis
    Participant

    Hey there! I’m in desperate need of help, since my Owl Pedal is totally bricked.

    I’m trying to update the bootloader using the following guide (https://hoxtonowl.com/mediawiki/index.php/Update_Bootloader),
    which then led me to the git repo with another guide on how to build it (https://github.com/pingdynasty/OwlWare)

    I downloaded make, duf-util and the GNU ARM toolchain. After some troubleshooting i found out that the folder that the toolchain was in was named incorrectly. After fixing this, i went through a series of errors each time i tried to run “make”, where it said that “Tools” was not recognized as a command, and spitting out all the different .o-files. However, after running make a number of times, the console spits out another error(which i presume means that there was something weird going on with the .o-files, but that might(?) be fixed).

    The new error says:

    C:\Users\Mathi\OneDrive\Skrivebord\OwlWare>make
    In file included from ./Source/Owl.cpp:2:0:
    c:\users\mathi\onedrive\skrivebord\owlware\tools\gcc-arm-none-eabi-7-2017-q4-major\arm-none-eabi\include\stdlib.h:70:5: error: expected unqualified-id before ‘int’
    int _EXFUN(abs,(int));
    ^
    c:\users\mathi\onedrive\skrivebord\owlware\tools\gcc-arm-none-eabi-7-2017-q4-major\arm-none-eabi\include\stdlib.h:70:5: error: expected ‘)’ before ‘int’
    c:\users\mathi\onedrive\skrivebord\owlware\tools\gcc-arm-none-eabi-7-2017-q4-major\arm-none-eabi\include\stdlib.h:70:5: error: expected ‘)’ before ‘int’
    In file included from c:\users\mathi\onedrive\skrivebord\owlware\tools\gcc-arm-none-eabi-7-2017-q4-major\arm-none-eabi\include\c++\7.2.1\cstdlib:77:0,
    from c:\users\mathi\onedrive\skrivebord\owlware\tools\gcc-arm-none-eabi-7-2017-q4-major\arm-none-eabi\include\c++\7.2.1\ext\string_conversions.h:41,
    from c:\users\mathi\onedrive\skrivebord\owlware\tools\gcc-arm-none-eabi-7-2017-q4-major\arm-none-eabi\include\c++\7.2.1\bits\basic_string.h:6159,
    from c:\users\mathi\onedrive\skrivebord\owlware\tools\gcc-arm-none-eabi-7-2017-q4-major\arm-none-eabi\include\c++\7.2.1\string:52,
    from ./Source/PatchRegistry.h:4,
    from ./Source/Owl.cpp:6:
    c:\users\mathi\onedrive\skrivebord\owlware\tools\gcc-arm-none-eabi-7-2017-q4-major\arm-none-eabi\include\c++\7.2.1\bits\std_abs.h:52:11: error: ‘::abs’ has not been declared
    using ::abs;
    ^~~
    make: *** [Build/Owl.o] Error 1

    A google search didn’t give me any answers, or at least not any that i understood properly.

    I’m hoping that someone can help me, since i feel pretty damn stuck with this process at the moment.

    Cheers,

    Mathias 🙂

Viewing 1 post (of 1 total)

You must be logged in to reply to this topic.


Latest News

Links

Follow us on Twitter